<!DOCTYPE html>

<html lang="en">

<head>

  {% load static %}

  {% load static %}
    <link rel="stylesheet" type="text/css" href="{% static 'my_css/create.css'%}">


  <title></title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>
<style> 

  body {font-family: "Lato", sans-serif}
  .mySlides {display: none}
</style>
<body>


<!-- Navbar -->
  <div class="w3-top">
    <div class="w3-bar w3-black w3-card">
      <a class="w3-bar-item w3-button w3-padding-large w3-hide-medium w3-hide-large w3-right" href="javascript:void(0)" onclick="myFunction()" title="Toggle Navigation Menu"><i class="fa fa-bars"></i></a>
      <a href="{%url 'home'%}" class="w3-bar-item w3-button w3-padding-large">HOME</a>
      <a href="{% url 'insert'%}" class="w3-bar-item w3-button w3-padding-large w3-hide-small">Take Attendance</a>
      <a href="{%url 'timetable'%}" id="TimeTable" class="w3-bar-item w3-button w3-padding-large w3-hide-small">TimeTable</a>
      <a href="#" id="time"class="w3-bar-item w3-button w3-padding-large w3-hide-small">Current Date and Time</a>
      <a href="{%url 'about'%}" id="about"class="w3-bar-item w3-button w3-padding-large w3-hide-small">About</a>
      <a href="{%url 'loginuser'%}" class="w3-bar-item w3-button w3-padding-large w3-hide-small">Logout</a>

      <div class="w3-dropdown-hover w3-hide-small">
        <button class="w3-padding-large w3-button" title="More">Student<i class="fa fa-caret-down"></i></button>     
        <div class="w3-dropdown-content w3-bar-block w3-card-4">
          <a href="{% url 'stinsert'%}" class="w3-bar-item w3-button">Add details</a>
          <a href="{% url 'studentinfo'%}" class="w3-bar-item w3-button">Views Details</a>
        </div>

      </div>
    </div>
  </div>


<!-- Navbar on small screens (remove the onclick attribute if you want the navbar to always show on top of the content when clicking on the links) -->
  <div id="navDemo" class="w3-bar-block w3-black w3-hide w3-hide-large w3-hide-medium w3-top" style="margin-top:46px">
    <a href="{%url 'home'%}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">Home</a>
    <a href="{%url 'insert'%}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">Take Attendance</a>
    <a href="#contact" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">Current Date and Time</a>
    <a href="{%url 'about'%}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">About</a>
    <a href="{% url 'stinsert'%}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">Add Details</a>
    <a href="{% url 'studentinfo' %}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">Views Details</a>
    <a href="{% url 'loginuser'%}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">Logout</a>
  </div>



  <center>
    <h2 style="color:white; font-size:3vw;margin-top:35px;">Student's Detail<h2>


    <form method="POST">
    {% csrf_token %}  
    <table border="1" style="border-collapse: collapse; width:50%; height:180px; background-color:white; font-size:1.5vw; margin-top:4%;">
    
    
      <tr>
        <td style="background-color:#dcc5eb;">Name:</td>
        <td><input type="text" name="name" placeholder="Entername" style="border:none;"></td>
      </tr>

      
      <tr>  
        <td style="background-color:#dcc5eb;">phonenumber:</td>
        <td><input  style="border:none;" type="numeric" name="phonenumber" placeholder="phonenumber"></td>
      </tr>
      <tr>
        <td style="background-color:#dcc5eb;">CID:</td>
        <td><input  style="border:none;" type="numeric" name="CID" placeholder="CID"></td>
      </tr>
      
      <tr>
           <td style="background-color:#dcc5eb;">Village:</td>
        <td>
          <input type="text" name="village" style="border: none;" placeholder="Village">
        </td>
      
      </tr>

        <tr>
           <td style="background-color:#dcc5eb;">email:</td>
        <td>
          <input type="email" name="email" style="border: none;" placeholder="email">
        </td>
      
      </tr>
      
    </table><br>
    <input style="width:20%;font-size:2vw; background-color:#89fa9a;; border-radius: 6px;"type="submit" name="" value="Add"/><br><br>
    {% if messages %}
    {% for result in messages %}
    <b style="color:white">{{result}}</b>
    {% endfor %}
    {% endif %}
  </form>
</center> 



<script>
// Automatic Slideshow - change image every 4 seconds
var myIndex = 0;
carousel();

function carousel() {
  var i;
  var x = document.getElementsByClassName("mySlides");
  for (i = 0; i < x.length; i++) {
    x[i].style.display = "none";  
  }
  myIndex++;
  if (myIndex > x.length) {myIndex = 1}    
  x[myIndex-1].style.display = "block";  
  setTimeout(carousel, 4000);    
}

// Used to toggle the menu on small screens when clicking on the menu button
function myFunction() {
  var x = document.getElementById("navDemo");
  if (x.className.indexOf("w3-show") == -1) {
    x.className += " w3-show";
  } else { 
    x.className = x.className.replace(" w3-show", "");
  }
}

// When the user clicks anywhere outside of the modal, close it
var modal = document.getElementById('ticketModal');
window.onclick = function(event) {
  if (event.target == modal) {
    modal.style.display = "none";
  }
}
</script>

</body>
</html>




